Directory:		Code/Lists
Last modification:	2018-12-07

This directory contains sample C code for linked lists. There are simple
implementations of linked lists, used to illustrate the concept. There are
also applications, provided to demonstrate the use of linked lists in
problem solutions.


Source code used for teaching purposes in
   ELEC278, Queen's University, Kingston, Winter semester 2018.
This code is provided without warranty of any kind.  It is the responsibility
of the user to determine the correctness and the usefulness of this code.

Author:  David F. Athersych, P.Eng.
All rights reserved.

See LICENCE.MD (below) for restrictions on the use of this code.


/* * START LICENSE
Code developed for educational purposes only.


Copyright 2016, 2017, 2018 by
    
David F. Athersych, Kingston, Ontario, Canada. (THE AUTHOR).

This software may be included in systems delivered or distributed by

Cynosure Computer Technologies Incorporated, Kingston, Ontario, Canada.


Permission to use, copy, modify, and distribute this software and its

documentation for any purpose and without fee is hereby granted, provided

that the above copyright notice appears in all copies and that both the

above copyright notice and this permission notice appear in supporting

documentation. This software is made available "as is", and



THE AUTHOR DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, WITH REGARD

TO THIS SOFTWARE, INCLUDING WITHOUT LIMITATION ALL IMPLIED WARRANTIES

OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND IN NO EVENT

SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL

DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR

PROFITS, WHETHER IN AN ACTION OF CONTRACT, TORT (INCLUDING NEGLIGENCE)

OR STRICT LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR

PERFORMANCE OF THIS SOFTWARE.



Further, this software shall not be used in any life support systems,

autonomous vehicle systems, or flight control systems, without the

explicit written consent of the author.



For more information, please see www.cynosurecomputer.ca

* END LICENSE */
